Index: trunk/NEMO/OFF_SRC/DOM/domain.F90
===================================================================
--- trunk/NEMO/OFF_SRC/DOM/domain.F90	(revision 1118)
+++ trunk/NEMO/OFF_SRC/DOM/domain.F90	(revision 1119)
@@ -108,16 +108,18 @@
       INTEGER ::   ioptio = 0      ! temporary integer
 
-      NAMELIST/nam_run/ no    , cexper   , ln_rstart , nrstdt , nit000,          &
-         &             nitend, ndate0   , nleapy   , ninist , nstock,           &
-         &             nprint, nwrite   , ln_ctl , nictls, nictle,   &
+      NAMELIST/namrun/ no    , cexper   , ln_rstart , nrstdt , nit000,         &
+         &             nitend, ndate0   , nleapy    , ninist , nstock,         &
+         &             nwrite 
+
+      NAMELIST/namctl/ ln_ctl , nprint, nictls, nictle,   &
          &             njctls, njctle   , nbench   , isplt  , jsplt
 
-      NAMELIST/nam_zgr/ ln_zco, ln_zps, ln_sco
-
-      NAMELIST/nam_dom/ e3zps_min, e3zps_rat, nmsh  ,   &
+      NAMELIST/namzgr/ ln_zco, ln_zps, ln_sco
+
+      NAMELIST/namdom/ e3zps_min, e3zps_rat, nmsh  ,   &
          &             nacc  , atfp     , rdt      , rdtmin , rdtmax,   &
          &             rdth 
 
-      NAMELIST/nam_cla/ n_cla
+      NAMELIST/namcla/ n_cla
       !!----------------------------------------------------------------------
 
@@ -130,5 +132,5 @@
       ! Namelist namrun : parameters of the run
       REWIND( numnam )
-      READ  ( numnam, nam_run )
+      READ  ( numnam, namrun )
 
       IF(lwp) THEN
@@ -143,8 +145,18 @@
          WRITE(numout,*) '           leap year calendar (0/1)        nleapy    = ', nleapy
          WRITE(numout,*) '           initial state output            ninist    = ', ninist
-         WRITE(numout,*) '           level of print                  nprint    = ', nprint
          WRITE(numout,*) '           frequency of restart file       nstock    = ', nstock
          WRITE(numout,*) '           frequency of output file        nwrite    = ', nwrite
+      ENDIF
+
+      ndastp = ndate0                ! Assign initial date to current date
+
+     ! Namelist namctl : print control
+      REWIND( numnam )
+      READ  ( numnam, namctl )
+
+      IF(lwp) THEN
+         WRITE(numout,*) '        Namelist namctl'
          WRITE(numout,*) '           run control (for debugging)     ln_ctl    = ', ln_ctl
+         WRITE(numout,*) '           level of print                  nprint    = ', nprint
          WRITE(numout,*) '           Start i indice for SUM control  nictls    = ', nictls
          WRITE(numout,*) '           End i indice for SUM control    nictle    = ', nictle
@@ -157,5 +169,4 @@
 
       ndastp = ndate0                ! Assign initial date to current date
-
 ! ... Control the sub-domain area indices for the print control
       IF(ln_ctl)   THEN
@@ -267,8 +278,8 @@
       ENDIF
 
-      ! Read Namelist nam_zgr : vertical coordinate'
+      ! Read Namelist namzgr : vertical coordinate'
       ! ---------------------
       REWIND ( numnam )
-      READ   ( numnam, nam_zgr )
+      READ   ( numnam, namzgr )
 
       ! Parameter control and print
@@ -279,5 +290,5 @@
          WRITE(numout,*) 'Namelist namzgr : vertical coordinate'
          WRITE(numout,*) '~~~~~~~'
-         WRITE(numout,*) '          Namelist nam_zgr : set vertical coordinate'
+         WRITE(numout,*) '          Namelist namzgr : set vertical coordinate'
          WRITE(numout,*) '             z-coordinate - full steps      ln_zco = ', ln_zco
          WRITE(numout,*) '             z-coordinate - partial steps   ln_zps = ', ln_zps
@@ -300,5 +311,5 @@
       ! Namelist namdom : space/time domain (bathymetry, mesh, timestep)
       REWIND( numnam )
-      READ  ( numnam, nam_dom )
+      READ  ( numnam, namdom )
 
       IF(lwp) THEN
@@ -327,5 +338,5 @@
       ! Namelist cross land advection
       REWIND( numnam )
-      READ  ( numnam, nam_cla )
+      READ  ( numnam, namcla )
       IF(lwp) THEN
          WRITE(numout,*)
Index: trunk/NEMO/OFF_SRC/TRA/trabbl.F90
===================================================================
--- trunk/NEMO/OFF_SRC/TRA/trabbl.F90	(revision 1118)
+++ trunk/NEMO/OFF_SRC/TRA/trabbl.F90	(revision 1119)
@@ -102,5 +102,5 @@
       !!----------------------------------------------------------------------
       !! * Local declarations
-      NAMELIST/nam_bbl/ atrbbl
+      NAMELIST/nambbl/ atrbbl
       !!----------------------------------------------------------------------
 
@@ -108,5 +108,5 @@
       ! --------------------
       REWIND ( numnam )
-      READ   ( numnam, nam_bbl )
+      READ   ( numnam, nambbl )
 
       ! Parameter control and print
@@ -117,5 +117,5 @@
          WRITE(numout,*) 'tra_bbl_init : * Diffusive Bottom Boundary Layer'
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '          Namelist nam_bbl : set bbl parameters'
+         WRITE(numout,*) '          Namelist nambbl : set bbl parameters'
          WRITE(numout,*)
          WRITE(numout,*) '          bottom boundary layer coef.    atrbbl = ', atrbbl
Index: trunk/NEMO/OFF_SRC/TRA/traqsr.F90
===================================================================
--- trunk/NEMO/OFF_SRC/TRA/traqsr.F90	(revision 1118)
+++ trunk/NEMO/OFF_SRC/TRA/traqsr.F90	(revision 1119)
@@ -56,5 +56,5 @@
       !! * Local declarations
 
-      NAMELIST/nam_qsr/ ln_traqsr, xsi1
+      NAMELIST/namqsr/ ln_traqsr, xsi1
       !!----------------------------------------------------------------------
 
@@ -62,5 +62,5 @@
       ! --------------------
       REWIND ( numnam )
-      READ   ( numnam, nam_qsr )
+      READ   ( numnam, namqsr )
 
       ! Parameter control and print
Index: trunk/NEMO/OFF_SRC/dtadyn.F90
===================================================================
--- trunk/NEMO/OFF_SRC/dtadyn.F90	(revision 1118)
+++ trunk/NEMO/OFF_SRC/dtadyn.F90	(revision 1119)
@@ -147,5 +147,5 @@
 
 
-      NAMELIST/nam_offdyn/ ndtadyn, ndtatot, nsptint,            & 
+      NAMELIST/namdyn/ ndtadyn, ndtatot, nsptint,            & 
           &                nficdyn, lperdyn
       !!----------------------------------------------------------------------
@@ -154,13 +154,13 @@
       ! ======================================
 
-      ! Read Namelist nam_offdyn : Lateral physics on tracers
+      ! Read Namelist namdyn : Lateral physics on tracers
       REWIND( numnam )
-      READ  ( numnam, nam_offdyn )
+      READ  ( numnam, namdyn )
 
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'nam_offdyn : offline dynamical selection'
+         WRITE(numout,*) 'namdyn : offline dynamical selection'
          WRITE(numout,*) '~~~~~~~'
-         WRITE(numout,*) '  Namelist nam_offdyn : set parameters for the lecture of the dynamical fields'
+         WRITE(numout,*) '  Namelist namdyn : set parameters for the lecture of the dynamical fields'
          WRITE(numout,*) 
          WRITE(numout,*) ' number of elements in the FILE for a year  ndtadyn = ' , ndtadyn
Index: trunk/NEMO/OFF_SRC/eosbn2.F90
===================================================================
--- trunk/NEMO/OFF_SRC/eosbn2.F90	(revision 1118)
+++ trunk/NEMO/OFF_SRC/eosbn2.F90	(revision 1119)
@@ -38,9 +38,9 @@
 
    !! * Share module variables
-   INTEGER , PUBLIC ::   &  !: nam_eos : ocean physical parameters
+   INTEGER , PUBLIC ::   &  !: nameos : ocean physical parameters
       neos      = 0,     &  !: = 0/1/2 type of eq. of state and Brunt-Vaisala frequ.
       neos_init = 0         !: control flag for initialization
 
-   REAL(wp), PUBLIC ::   &  !: nam_eos : ocean physical parameters
+   REAL(wp), PUBLIC ::   &  !: nameos : ocean physical parameters
       ralpha = 2.0e-4,   &  !: thermal expension coeff. (linear equation of state)
       rbeta  = 7.7e-4       !: saline  expension coeff. (linear equation of state)
@@ -779,5 +779,5 @@
       !! ** Purpose :   initializations for the equation of state
       !!
-      !! ** Method  :   Read the namelist nam_eos
+      !! ** Method  :   Read the namelist nameos
       !!
       !! ** Action  :   blahblah....
@@ -786,5 +786,5 @@
       !!   8.5  !  02-10  (G. Madec)  Original code
       !!----------------------------------------------------------------------
-      NAMELIST/nam_eos/ neos, ralpha, rbeta
+      NAMELIST/nameos/ neos, ralpha, rbeta
       !!----------------------------------------------------------------------
       !!  OPA 8.5, LODYC-IPSL (2002)
@@ -794,9 +794,9 @@
       neos_init = 1           ! indicate that the initialization has been done
 
-      ! namelist nam_eos : ocean physical parameters
-
-      ! Read Namelist nam_eos : equation of state
+      ! namelist nameos : ocean physical parameters
+
+      ! Read Namelist nameos : equation of state
       REWIND( numnam )
-      READ  ( numnam, nam_eos )
+      READ  ( numnam, nameos )
 
       ! Control print
@@ -805,5 +805,5 @@
          WRITE(numout,*) 'eos_init : equation of state'
          WRITE(numout,*) '~~~~~~~~'
-         WRITE(numout,*) '          Namelist nam_eos : set eos parameters'
+         WRITE(numout,*) '          Namelist nameos : set eos parameters'
          WRITE(numout,*)
          WRITE(numout,*) '             flag for eq. of state and N^2  neos   = ', neos
Index: trunk/NEMO/OFF_SRC/lib_mpp.F90
===================================================================
--- trunk/NEMO/OFF_SRC/lib_mpp.F90	(revision 1118)
+++ trunk/NEMO/OFF_SRC/lib_mpp.F90	(revision 1119)
@@ -282,5 +282,5 @@
       !! * Local variables   (MPI version)
       INTEGER ::   mynode, ierr
-      NAMELIST/nam_mpp/ c_mpi_send
+      NAMELIST/nammpp/ c_mpi_send
       !!----------------------------------------------------------------------
 
@@ -292,7 +292,7 @@
       ! Namelist namrun : parameters of the run
       REWIND( numnam )
-      READ  ( numnam, nam_mpp )
-
-      WRITE(numout,*) '        Namelist nam_mpp'
+      READ  ( numnam, nammpp )
+
+      WRITE(numout,*) '        Namelist nammpp'
       WRITE(numout,*) '           mpi send type            c_mpi_send = ', c_mpi_send
 
Index: trunk/NEMO/OFF_SRC/opa.F90
===================================================================
--- trunk/NEMO/OFF_SRC/opa.F90	(revision 1118)
+++ trunk/NEMO/OFF_SRC/opa.F90	(revision 1119)
@@ -24,5 +24,4 @@
    ! ocean physics
    USE ldftra          ! lateral diffusivity setting    (ldftra_init routine)
-   USE zdfini
    USE traqsr          ! solar radiation penetration   (tra_qsr_init routine)
 
@@ -180,6 +179,4 @@
 #endif 
 
-      CALL zdf_init                             ! Vertical ocean physics
-
       !                                     ! Ocean trends
 
Index: trunk/NEMO/TOP_SRC/CFC/par_cfc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/CFC/par_cfc.F90	(revision 1118)
+++ trunk/NEMO/TOP_SRC/CFC/par_cfc.F90	(revision 1119)
@@ -10,11 +10,21 @@
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   USE par_lobster, ONLY : jp_lobster   !: number of tracers in LOBSTER
-   USE par_pisces , ONLY : jp_pisces    !: number of tracers in PISCES
+   USE par_lobster, ONLY : jp_lobster      !: number of tracers in LOBSTER
+   USE par_lobster, ONLY : jp_lobster_2d   !: number of 2D diag in LOBSTER
+   USE par_lobster, ONLY : jp_lobster_3d   !: number of 3D diag in LOBSTER
+   USE par_lobster, ONLY : jp_lobster_trd  !: number of biological diag in LOBSTER
+
+   USE par_pisces , ONLY : jp_pisces       !: number of tracers in PISCES
+   USE par_pisces , ONLY : jp_pisces_2d    !: number of 2D diag in PISCES
+   USE par_pisces , ONLY : jp_pisces_3d    !: number of 3D diag in PISCES
+   USE par_pisces , ONLY : jp_pisces_trd   !: number of biological diag in PISCES
 
    IMPLICIT NONE
    PUBLIC
 
-   INTEGER, PUBLIC, PARAMETER ::   jp_lp      = jp_lobster + jp_pisces   !: cumulative number of passive tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_lp      = jp_lobster     + jp_pisces     !: cumulative number of passive tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_lp_2d   = jp_lobster_2d  + jp_pisces_2d  !:
+   INTEGER, PUBLIC, PARAMETER ::   jp_lp_3d   = jp_lobster_3d  + jp_pisces_3d  !:
+   INTEGER, PUBLIC, PARAMETER ::   jp_lp_trd  = jp_lobster_trd + jp_pisces_trd !:
    
 #if defined key_cfc
@@ -43,6 +53,12 @@
 
    ! Starting/ending CFC do-loop indices (N.B. no CFC : jp_cfc0 > jp_cfc1 the do-loop are never done)
-   INTEGER, PUBLIC, PARAMETER ::   jp_cfc0    = jp_lp + 1       !: First index of CFC tracers
-   INTEGER, PUBLIC, PARAMETER ::   jp_cfc1    = jp_lp + jp_cfc  !: Last  index of CFC tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_cfc0     = jp_lp + 1       !: First index of CFC tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_cfc1     = jp_lp + jp_cfc  !: Last  index of CFC tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_cfc0_2d  = jp_lp_2d  + 1       !: First index of CFC tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_cfc1_2d  = jp_lp_2d  + jp_cfc_2d  !: Last  index of CFC tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_cfc0_3d  = jp_lp_3d  + 1       !: First index of CFC tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_cfc1_3d  = jp_lp_3d  + jp_cfc_3d  !: Last  index of CFC tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_cfc0_trd = jp_lp_trd + 1       !: First index of CFC tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_cfc1_trd = jp_lp_trd + jp_cfc_trd  !: Last  index of CFC tracers
 
    !!======================================================================
Index: trunk/NEMO/TOP_SRC/CFC/trclsm_cfc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/CFC/trclsm_cfc.F90	(revision 1118)
+++ trunk/NEMO/TOP_SRC/CFC/trclsm_cfc.F90	(revision 1119)
@@ -44,5 +44,5 @@
       INTEGER ::   numnat
       !!
-      NAMELIST/namdates/ ndate_beg, nyear_res
+      NAMELIST/namcfcdate/ ndate_beg, nyear_res
       !!-------------------------------------------------------------------
 
@@ -54,5 +54,5 @@
          &           1, numout, .FALSE., 1 )
          
-      READ( numnat , namdates )     ! read namelist
+      READ( numnat , namcfcdate )     ! read namelist
 
       IF(lwp) THEN                  ! control print
Index: trunk/NEMO/TOP_SRC/LOBSTER/par_lobster.F90
===================================================================
--- trunk/NEMO/TOP_SRC/LOBSTER/par_lobster.F90	(revision 1118)
+++ trunk/NEMO/TOP_SRC/LOBSTER/par_lobster.F90	(revision 1119)
@@ -48,6 +48,12 @@
 
    ! Starting/ending LOBSTER do-loop indices (N.B. no LOBSTER : jpl_lob < jpf_lob the do-loop are never done)
-   INTEGER, PUBLIC, PARAMETER ::   jp_lob0 =          1       !: First index of LOBSTER tracers
-   INTEGER, PUBLIC, PARAMETER ::   jp_lob1 = jp_lobster       !: Last  index of LOBSTER tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_lob0     =          1       !: First index of LOBSTER tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_lob1     = jp_lobster       !: Last  index of LOBSTER tracers
+   INTEGER, PUBLIC, PARAMETER ::   jp_lob0_2d  =          1       !: First index of LOBSTER 2D diag
+   INTEGER, PUBLIC, PARAMETER ::   jp_lob1_2d  = jp_lobster_2d    !: Last  index of LOBSTER 2D diag
+   INTEGER, PUBLIC, PARAMETER ::   jp_lob0_3d  =          1       !: First index of LOBSTER 3D diag
+   INTEGER, PUBLIC, PARAMETER ::   jp_lob1_3d  = jp_lobster_3d    !: Last  index of LOBSTER 3D diag
+   INTEGER, PUBLIC, PARAMETER ::   jp_lob0_trd =          1       !: First index of LOBSTER bio. diag
+   INTEGER, PUBLIC, PARAMETER ::   jp_lob1_trd = jp_lobster_trd   !: Last  index of LOBSTER bio. diag
 
    !!======================================================================
Index: trunk/NEMO/TOP_SRC/LOBSTER/trcbio.F90
===================================================================
--- trunk/NEMO/TOP_SRC/LOBSTER/trcbio.F90	(revision 1118)
+++ trunk/NEMO/TOP_SRC/LOBSTER/trcbio.F90	(revision 1119)
@@ -16,5 +16,5 @@
    !!----------------------------------------------------------------------
    USE oce_trc         !
-   USE trp_trc         ! 
+   USE trc             ! 
    USE sms_lobster     ! 
    USE lbclnk          ! 
@@ -90,5 +90,5 @@
       fbod(:,:) = 0.e0
 #if defined key_trc_diaadd
-      DO ji = 1, jpdia2d
+      DO ji = 1, jp_lobster_2d
          trc2d(:,:,ji) = 0.e0
       END DO 
@@ -182,5 +182,5 @@
                zdeta =   zphydet + zzoodet - zdetzoo - zdetnh4 - zdetdom + zboddet
                zdoma =   zphydom + zzoodom + zdetdom - zdomnh4 - zdomaju
-   
+
 #if defined key_trc_diabio
                trbio(ji,jj,jk, 1) = zno3phy
@@ -239,4 +239,6 @@
       END DO
 
+      !
+
 !!gm do loop until jpkm1 only!
       !                                      ! -------------------------- !
@@ -364,8 +366,8 @@
 #if defined key_trc_diaadd
       ! Lateral boundary conditions on trc2d and trc3d
-      DO ji = 1, jpdia2d
+      DO ji = 1, jp_lobster_2d
           CALL lbc_lnk( trc2d(:,:,ji),'T', 1. )
       END DO 
-      DO ji = 1, jpdia3d
+      DO ji = 1, jp_lobster_3d
           CALL lbc_lnk( trc3d(:,:,1,ji),'T', 1. )
       END DO 
@@ -374,5 +376,5 @@
 #if defined key_trc_diabio
       ! Lateral boundary conditions on trcbio
-      DO ji = 1, jpdiabio
+      DO ji = 1, jp_lobster_trd
           CALL lbc_lnk( trbio(:,:,1,ji),'T', 1. )
       END DO 
Index: trunk/NEMO/TOP_SRC/LOBSTER/trcexp.F90
===================================================================
--- trunk/NEMO/TOP_SRC/LOBSTER/trcexp.F90	(revision 1118)
+++ trunk/NEMO/TOP_SRC/LOBSTER/trcexp.F90	(revision 1119)
@@ -16,5 +16,4 @@
    !!----------------------------------------------------------------------
    USE oce_trc         !
-   USE trp_trc
    USE sms_lobster
    USE lbclnk
